<html>
<head>
<meta charset="utf-8"/>
	<title>Edit</title>
	<h1>Edit</h1>

	</head>
	<body>

{% if display_string=="Edit" %}
<h3>User Details:</h3>
		<form method = "post" action ="/edit" type= "submit">
			<input type = "hidden" name = "id" value='{{search_key.key.id()}}'></input>
			Userame:	<input type = "text" name = "username" value='{{search_key.username}}'></input>
			<br>
			Name:	<input type = "text" name = "name" value='{{search_key.name}}'></input>
			<br>
			Description:	<input type = "text" id = "description" name = "description" value='{{search_key.description}}'></input>

			<input type="submit" value="Update" name="button" onclick="return check_empty();"></input>

		</form>
		<form method = "post" action ="/edit" type= "submit">
			<input type="submit" value="Cancel" name="button"></input>
		</form>

{%	elif display_string == "Edit Tweet"%}
<h3>Tweet Details:</h3>
		<form method = "post" action ="/edit" type= "submit">
			<input type = "hidden" name = "id" value='{{search_key.key.id()}}'></input>
			<input type = "hidden" name = "old_tweet" value='{{old_tweet}}'></input>
			Your Tweet:	<input type = "text" name = "new_tweet" value='{{old_tweet}}' style="width: 40%;height: 20%;"></input>
			<br>
			<input type="submit" value="Update Tweet" name="button"></input>


		</form>
{%endif%}
</body>
</html>
<script type="text/javascript">

function check_empty(){

  var input=document.getElementById('description').value;
      var character_limit = 280;
			console.log(input);

			if(!input){
				alert("Please add text to description!")
				return false;
			}

      else if(input && input.length<=character_limit && input.length!=0)
      {
				alert("Updated!")
        return true;
      }
      else
      {
        alert('Character limit exceeded');
      return false;
      }

}
</script>
